## grails.ui
Class Console

    java.lang.Object
      groovy.ui.Console
          grails.ui.Console

All Implemented Interfaces:
  groovy.lang.GroovyObject, EventListener, CaretListener

    public class Console

extends groovy.ui.Console

Extends regular Groovy console and bootstraps Grails environment before launch to allow interaction with the Grails domain model

Since:
  0.2
Version:
  $Revision: 3885 $ First Created: 02-Jun-2006 Last Updated: $Date: 2007-04-20 09:29:43 +0100 (Fri, 20 Apr 2007) $
Author:
  Graeme Rocher

Field Summary

Fields inherited from class groovy.ui.Console
`__timeStamp, __timeStamp__239_neverHappen1209131971450, ICON_PATH`

Constructor Summary
`Console(ClassLoader parent, groovy.lang.Binding binding)`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class groovy.ui.Console

`addToHistory, appendOutput, appendOutputNl, askToSaveFile, beep, bindResults, captureStdOut, caretUpdate, clearOutput, clearOutput, confirmRunInterrupt, copy, copy, cut, cut, exit, exit, fileNewFile, fileNewFile, fileNewWindow, fileNewWindow, fileOpen, fileOpen, fileSave, fileSave, fileSaveAs, fileSaveAs, find, find, findNext, findNext, findPrevious, findPrevious, finishException, finishNormal, fullStackTraces, getAfterExecution, getBeforeExecution, getCaptureStdOut, getColNum, getCommandStyle, getCurrentFileChooserDir, getCursorPos, getDirty, getFrame, getFullStackTraces, getFullStackTracesAction, getHistory, getHistoryIndex, getInputArea, getInputEditor, getLastResult, getMaxHistory, getMaxOutputChars, getMetaClass, getNextHistoryAction, getOutputArea, getOutputStyle, getPendingRecord, getPrevHistoryAction, getPromptStyle, getProperty, getResultStyle, getRootElement, getRowNum, getRowNumAndColNum, getRunThread, getRunWaitDialog, getSaveAction, getScriptFile, getScriptNameCounter, getShell, getShowToolbar, getShowToolbarAction, getStatusLabel, getSwing, getSystemOutInterceptor, getTextSelectionEnd, getTextSelectionStart, getToolbar, historyNext, historyNext, historyPrev, historyPrev, inspectLast, inspectLast, inspectVariables, inspectVariables, installInterceptor, invokeMethod, invokeTextAction, isCaptureStdOut, isDirty, isFullStackTraces, isShowToolbar, largerFont, largerFont, notifySystemOut, paste, paste, print, print, redo, redo, replace, replace, run, runScript, runScript, runSelectedScript, runSelectedScript, selectAll, selectAll, selectFilename, selectFilename, setAfterExecution, setBeforeExecution, setCaptureStdOut, setColNum, setCommandStyle, setCurrentFileChooserDir, setCursorPos, setDirty, setFrame, setFullStackTraces, setFullStackTracesAction, setHistory, setHistoryIndex, setInputArea, setInputEditor, setMaxHistory, setMaxOutputChars, setMetaClass, setNextHistoryAction, setOutputArea, setOutputStyle, setPendingRecord, setPrevHistoryAction, setPromptStyle, setProperty, setResultStyle, setRootElement, setRowNum, setRowNumAndColNum, setRowNumAndColNum, setRunThread, setRunWaitDialog, setSaveAction, setScriptFile, setScriptNameCounter, setShell, setShowToolbar, setShowToolbarAction, setStatusLabel, setSwing, setSystemOutInterceptor, setTextSelectionEnd, setTextSelectionStart, setToolbar, setVariable, showAbout, showAbout, showRunWaitDialog, showToolbar, smallerFont, smallerFont, undo, undo, updateTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Console

    public Console(ClassLoader parent,
                   groovy.lang.Binding binding)

Method Detail

### main

    public static void main(String[] args)

Copyright (c) 2005-2006 The Grails project